[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#312683: marked as done (cupsys: want status option for init script)



Your message dated Sun, 17 Jul 2005 16:47:06 -0400
with message-id <E1DuG2U-0002WS-00@newraff.debian.org>
and subject line Bug#312683: fixed in cupsys 1.1.23-11
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 9 Jun 2005 14:35:48 +0000
>From gildea@stop.mail-abuse.org Thu Jun 09 07:35:48 2005
Return-path: <gildea@stop.mail-abuse.org>
Received: from netblock-66-245-252-35.dslextreme.com (tigger.sf.gildea.net) [66.245.252.35] 
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1DgO8K-0004BK-00; Thu, 09 Jun 2005 07:35:48 -0700
Received: by tigger.sf.gildea.net (Postfix, from userid 1000)
	id A3E653CC00E; Thu,  9 Jun 2005 07:35:47 -0700 (PDT)
Received: from tigger.sf.gildea.net (localhost [127.0.0.1])
	by tigger.sf.gildea.net (Postfix) with ESMTP id 9E31A6D4088
	for <submit@bugs.debian.org>; Thu,  9 Jun 2005 07:35:47 -0700 (PDT)
From: Stephen Gildea <gildea@stop.mail-abuse.org>
To: submit@bugs.debian.org
Subject: cupsys: want status option for init script
X-Mailer: MH-E 7.82; nmh 1.1; GNU Emacs 21.4.1
Date: Thu, 09 Jun 2005 07:35:47 -0700
Message-Id: <20050609143547.A3E653CC00E@tigger.sf.gildea.net>
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-8.0 required=4.0 tests=BAYES_00,HAS_PACKAGE 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02
X-Spam-Level: 

Package: cupsys
Version: 1.1.23-10
Tags: patch

The following patch provides a "status" option for the /etc/init.d/cupsys
script.  It also updates the usage message to add "status" and display
the correct name for this script.

 < Stephen

--- cupsys-1.1.23/debian/cupsys.init.d	2005-06-08 09:49:09.000000000 -0700
+++ debian/cupsys.init.d	2005-06-08 13:16:44.000000000 -0700
@@ -14,6 +14,7 @@
 PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
 DAEMON=/usr/sbin/cupsd
 NAME=cupsd
+PIDFILE=/var/run/cups/$NAME.pid
 DESC="Common Unix Printing System"
 
 test -f $DAEMON || exit 0
@@ -31,13 +32,13 @@
 	echo -n "Starting $DESC: $NAME"
 	chown root:lpadmin /usr/share/cups/model 2>/dev/null || true
 	chmod 3775 /usr/share/cups/model 2>/dev/null || true
-	start-stop-daemon --start --quiet --background -m --pidfile /var/run/cups/cupsd.pid --exec $DAEMON -- -F
+	start-stop-daemon --start --quiet --background -m --pidfile "$PIDFILE" --exec $DAEMON -- -F
 	echo "."
 	;;
   stop)
 	echo -n "Stopping $DESC: $NAME"
 	start-stop-daemon --stop --quiet --retry TERM/10 --oknodo --exec $DAEMON
-	rm -f /var/run/cups/cupsd.pid
+	rm -f "$PIDFILE"
 	echo "."
 	;;
   reload)
@@ -48,13 +49,27 @@
   restart|force-reload)
 	echo -n "Restarting $DESC: $NAME"
 	if start-stop-daemon --stop --quiet --retry TERM/10 --oknodo --exec $DAEMON; then
-		start-stop-daemon --start --quiet --background -m --pidfile /var/run/cups/cupsd.pid --exec $DAEMON -- -F
+		start-stop-daemon --start --quiet --background -m --pidfile "$PIDFILE" --exec $DAEMON -- -F
 	fi
 	echo "."
 	;;
+  status)
+	echo -n "Status of $DESC: "
+	if [ ! -r "$PIDFILE" ]; then
+		echo "$NAME is not running."
+		exit 3
+	fi
+	if read pid < "$PIDFILE" && ps -p "$pid" > /dev/null 2>&1; then
+		echo "$NAME is running."
+		exit 0
+	else
+		echo "$NAME is not running but $PIDFILE exists."
+		exit 1
+	fi
+	;;
   *)
-	N=/etc/init.d/$NAME
+	N=/etc/init.d/${0##*/}
-	echo "Usage: $N {start|stop|restart|force-reload}" >&2
+	echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
 	exit 1
 	;;
 esac

---------------------------------------
Received: (at 312683-close) by bugs.debian.org; 17 Jul 2005 20:57:18 +0000
>From katie@ftp-master.debian.org Sun Jul 17 13:57:18 2005
Return-path: <katie@ftp-master.debian.org>
Received: from newraff.debian.org [208.185.25.31] (mail)
	by spohr.debian.org with esmtp (Exim 3.36 1 (Debian))
	id 1DuGCM-0002Kv-00; Sun, 17 Jul 2005 13:57:18 -0700
Received: from katie by newraff.debian.org with local (Exim 3.35 1 (Debian))
	id 1DuG2U-0002WS-00; Sun, 17 Jul 2005 16:47:06 -0400
From: Kenshi Muto <kmuto@debian.org>
To: 312683-close@bugs.debian.org
X-Katie: $Revision: 1.56 $
Subject: Bug#312683: fixed in cupsys 1.1.23-11
Message-Id: <E1DuG2U-0002WS-00@newraff.debian.org>
Sender: Archive Administrator <katie@ftp-master.debian.org>
Date: Sun, 17 Jul 2005 16:47:06 -0400
Delivered-To: 312683-close@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level: 
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02
X-CrossAssassin-Score: 6

Source: cupsys
Source-Version: 1.1.23-11

We believe that the bug you reported is fixed in the latest version of
cupsys, which is due to be installed in the Debian FTP archive:

cupsys-bsd_1.1.23-11_i386.deb
  to pool/main/c/cupsys/cupsys-bsd_1.1.23-11_i386.deb
cupsys-client_1.1.23-11_i386.deb
  to pool/main/c/cupsys/cupsys-client_1.1.23-11_i386.deb
cupsys_1.1.23-11.diff.gz
  to pool/main/c/cupsys/cupsys_1.1.23-11.diff.gz
cupsys_1.1.23-11.dsc
  to pool/main/c/cupsys/cupsys_1.1.23-11.dsc
cupsys_1.1.23-11_i386.deb
  to pool/main/c/cupsys/cupsys_1.1.23-11_i386.deb
libcupsimage2-dev_1.1.23-11_i386.deb
  to pool/main/c/cupsys/libcupsimage2-dev_1.1.23-11_i386.deb
libcupsimage2_1.1.23-11_i386.deb
  to pool/main/c/cupsys/libcupsimage2_1.1.23-11_i386.deb
libcupsys2-dev_1.1.23-11_i386.deb
  to pool/main/c/cupsys/libcupsys2-dev_1.1.23-11_i386.deb
libcupsys2-gnutls10_1.1.23-11_i386.deb
  to pool/main/c/cupsys/libcupsys2-gnutls10_1.1.23-11_i386.deb
libcupsys2_1.1.23-11_all.deb
  to pool/main/c/cupsys/libcupsys2_1.1.23-11_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 312683@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kenshi Muto <kmuto@debian.org> (supplier of updated cupsys package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 20 May 2005 11:07:42 +0900
Source: cupsys
Binary: cupsys-bsd libcupsys2-dev libcupsys2 cupsys libcupsys2-gnutls10 libcupsimage2-dev libcupsimage2 cupsys-client
Architecture: source i386 all
Version: 1.1.23-11
Distribution: unstable
Urgency: low
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Changed-By: Kenshi Muto <kmuto@debian.org>
Description: 
 cupsys     - Common UNIX Printing System(tm) - server
 cupsys-bsd - Common UNIX Printing System(tm) - BSD commands
 cupsys-client - Common UNIX Printing System(tm) - client programs (SysV)
 libcupsimage2 - Common UNIX Printing System(tm) - image libs
 libcupsimage2-dev - Common UNIX Printing System(tm) - image development files
 libcupsys2 - Common UNIX Printing System(tm) - dummy libs for transition
 libcupsys2-dev - Common UNIX Printing System(tm) - development files
 libcupsys2-gnutls10 - Common UNIX Printing System(tm) - libs
Closes: 309399 310152 310535 312683 314135 317905
Changes: 
 cupsys (1.1.23-11) unstable; urgency=low
 .
   * "At Debconf 5" release.
   * Now CUPS is maintained by Debian CUPS Maintainers Team.
     <pkg-cups-devel@lists.alioth.deban.org>
   * Do "sleep 2" to wait daemon's wake up. (this is just workaround...
     needs better solution, for #309794 and #315017)
   * Added Vietnamese translation. (closes: #310152)
   * Check whether daemon is running or not before restart in logrotate.
     (closes: #310535)
   * Add description about foomatic-rip (in foomatic-filters package)
     to README.Debian. (closes: #309399)
   * Remove unnecessary comment from debian/po/de.po (closes: #314135)
   * Apply status option for init script (closes: #312683). Thanks Stephen.
   * Suggests cupsys-driver-gutenprint, this package is new name of
     cupsys-driver-gimpprint.
   * 46_ppdsdat: Move /etc/cups/ppds.dat to /var/lib/cups/ppds.dat and
     make symlink. (closes: #317905)
   * Unapply NOAUTH handling from 33_jobauthorize. A user warns me
     it's dangerous to use.
Files: 
 4a57728b001f86b12d31d31da47da4f7 1039 net optional cupsys_1.1.23-11.dsc
 977689bf957be8e4e3b02ec3dc261f09 1273449 net optional cupsys_1.1.23-11.diff.gz
 a717d2f598e931872705b01710a8ac95 976 libs optional libcupsys2_1.1.23-11_all.deb
 eb704cfb851c350bb3700081d92bb8b7 8957884 net optional cupsys_1.1.23-11_i386.deb
 85db2989bab8e0701ddde34d64c50a95 108756 net optional cupsys-client_1.1.23-11_i386.deb
 6d94226c23405ca0a6496002502477e5 74516 libs optional libcupsys2-gnutls10_1.1.23-11_i386.deb
 32b3ddb31c7cff49ddb2a26b52b22028 85252 libdevel optional libcupsys2-dev_1.1.23-11_i386.deb
 1cc449d1f9c87718a74b11c94a492b6d 56164 libs optional libcupsimage2_1.1.23-11_i386.deb
 1d6f8d073900498b71c582dd9c9565d3 46696 libdevel optional libcupsimage2-dev_1.1.23-11_i386.deb
 ce3181624f27c0915902fa8f6a3e82e2 47854 net extra cupsys-bsd_1.1.23-11_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iEYEARECAAYFAkLavpEACgkQQKW+7XLQPLHnygCgjEa80/P6WrR1/j/xKqCHI4jJ
l/YAoNCm3lCWuxnIA3n54E9cWqoc78Ox
=Q2xS
-----END PGP SIGNATURE-----




Reply to: